### A free/open-source library for quantitative finance

Public Member Functions
CmsCoupon Class Reference

CMS coupon class. More...

`#include <ql/cashflows/cmscoupon.hpp>`

Inheritance diagram for CmsCoupon:
[legend]

List of all members.

## Public Member Functions

| CmsCoupon (const Date &paymentDate, Real nominal, const Date &startDate, const Date &endDate, Natural fixingDays, const boost::shared_ptr< SwapIndex > &index, Real gearing=1.0, Spread spread=0.0, const Date &refPeriodStart=Date(), const Date &refPeriodEnd=Date(), const DayCounter &dayCounter=DayCounter(), bool isInArrears=false)
Inspectors
const boost::shared_ptr < SwapIndex > & | swapIndex () const
Visitability
virtual void | accept (AcyclicVisitor &)

## Detailed Description

CMS coupon class.

Warning:
  This class does not perform any date adjustment, i.e., the start and end date passed upon construction should be already rolled to a business day.